import 'package:account/src/features/change_password/presentation/change_password_screen.dart';
import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';
import 'package:go_router/go_router.dart';
import 'package:navigation/navigation.dart';

class ChangePasswordBuilder {
  const ChangePasswordBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: ChangePasswordScreen(navigationContract: navigationContract),
    );
  }
}
